Bug 1461926 - FB console resolution is limited to 1920x1080 on external monitor
FB console resolution is limited to 1920x1080 on external monitor
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
27
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 11:54 EDT by Marko Bevc
Modified: 2018-02-20 18:28 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Bevc 2017-06-15 11:54:57 EDT
Description of problem:
Issue is with frambuffer in console, when switching from UEFIfb to intel FB upon booting it switches from 2560x1440 to 1920x1080 when using external monitor on docking... It was working fine until 4.11 versions.

Version-Release number of selected component (if applicable):
F25, kernel 4.11.4-200.fc25
Lenovo X260 + docking + external monitor

How reproducible:


Steps to Reproduce:
1. upgrade to kernel >= 4.11
2. reboot
3. check console FB resolution

Actual results:
Gettig max resolution of 1920x1080 on external monitor via docking.


Expected results:
Get a resolution of 2560x1440 on external monitor via docking.


Additional info:
None
Comment 1 Marko Bevc 2017-06-25 05:31:51 EDT
Lower resolution is native to Laptop screen.
Comment 2 Fedora End Of Life 2017-11-16 14:54:48 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Laura Abbott 2018-02-20 14:55:19 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Marko Bevc 2018-02-20 18:27:25 EST
Waiting for 4.15.4-300, since cannot boot on 4.15.3-300 - black screen.
Comment 5 Marko Bevc 2018-02-20 18:28:33 EST
Was still an issue on previous 4.14 tree. Thanks for a response.

Note You need to log in before you can comment on or make changes to this bug.